summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/drs-push-rejects4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tests/drs-push-rejects b/tests/tests/drs-push-rejects
index 5b450bf..74ddd37 100755
--- a/tests/tests/drs-push-rejects
+++ b/tests/tests/drs-push-rejects
@@ -13,10 +13,10 @@ cd $p
mustfail () {
local wantmsg="$1"; shift
t-reporefs >$tmp/show-refs.pre-push
- set +e
+ set +o pipefail
git push origin "$@" 2>&1 |tee $tmp/mustfail.txt
ps="${PIPESTATUS[*]}"
- set -e
+ set -o pipefail
case $ps in
"0 0") fail "push unexpectedly succeeded (instead of: $wantmsg)" ;;
*" 0") ;;